Bug 1222434 (CVE-2015-3810) - CVE-2015-3810 wireshark: WebSocket DoS (wnpa-sec-2015-13)
Summary: CVE-2015-3810 wireshark: WebSocket DoS (wnpa-sec-2015-13)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3810
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1245883 1245885
Blocks: 1210268 1222441
TreeView+ depends on / blocked
 
Reported: 2015-05-18 08:39 UTC by Martin Prpič
Modified: 2019-09-29 13:32 UTC (History)
7 users (show)

Fixed In Version: wireshark 1.12.5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-20 04:51:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2393 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-11-19 11:03:11 UTC

Description Martin Prpič 2015-05-18 08:39:08 UTC
It was reported that Wireshark's WebSocket dissector could recurse excessively. It may be possible to make Wireshark consume excessive CPU resources by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This flaw is fixed in versions the following Wireshark versions: 1.12.5.

Upstream bug:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10989

External References:

https://www.wireshark.org/security/wnpa-sec-2015-13.html

Comment 1 Martin Prpič 2015-05-18 08:43:24 UTC
Fixed in Fedora via:

FEDORA-2015-8150 -- wireshark-1.12.5-1.fc21

Comment 6 errata-xmlrpc 2015-11-19 12:37:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2393 https://rhn.redhat.com/errata/RHSA-2015-2393.html


Note You need to log in before you can comment on or make changes to this bug.